Skip to main content
cURL
curl --request GET \
  --url https://test.deribit.com/api/v2/private/update_in_address_book \
  --header 'Content-Type: application/json' \
  --data '
{
  "jsonrpc": "2.0",
  "id": 42,
  "method": "private/update_in_address_book",
  "params": {
    "currency": "BTC",
    "type": "withdrawal",
    "address": "bc1qar0srrr7xfkvy5l643lydnw9re59gtzzwf0uyj",
    "label": "Main address",
    "beneficiary_vasp_name": "Money`s Gone",
    "beneficiary_vasp_did": "did:example:123456789abcdefghi",
    "beneficiary_first_name": "John",
    "beneficiary_last_name": "Doe",
    "beneficiary_address": "NL, Amsterdam, Street, 1",
    "agreed": true,
    "personal": false
  }
}
'
import requests

url = "https://test.deribit.com/api/v2/private/update_in_address_book"

payload = {
"jsonrpc": "2.0",
"id": 42,
"method": "private/update_in_address_book",
"params": {
"currency": "BTC",
"type": "withdrawal",
"address": "bc1qar0srrr7xfkvy5l643lydnw9re59gtzzwf0uyj",
"label": "Main address",
"beneficiary_vasp_name": "Money`s Gone",
"beneficiary_vasp_did": "did:example:123456789abcdefghi",
"beneficiary_first_name": "John",
"beneficiary_last_name": "Doe",
"beneficiary_address": "NL, Amsterdam, Street, 1",
"agreed": True,
"personal": False
}
}
headers = {"Content-Type": "application/json"}

response = requests.get(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
jsonrpc: '2.0',
id: 42,
method: 'private/update_in_address_book',
params: {
currency: 'BTC',
type: 'withdrawal',
address: 'bc1qar0srrr7xfkvy5l643lydnw9re59gtzzwf0uyj',
label: 'Main address',
beneficiary_vasp_name: 'Money`s Gone',
beneficiary_vasp_did: 'did:example:123456789abcdefghi',
beneficiary_first_name: 'John',
beneficiary_last_name: 'Doe',
beneficiary_address: 'NL, Amsterdam, Street, 1',
agreed: true,
personal: false
}
})
};

fetch('https://test.deribit.com/api/v2/private/update_in_address_book', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "jsonrpc": "2.0",
  "id": 42,
  "result": "ok"
}

Query Parameters

currency
enum<string>
required

The currency symbol Currency, i.e "BTC", "ETH", "USDC"

Available options:
BTC,
ETH,
STETH,
ETHW,
USDC,
USDT,
EURR,
SOL,
XRP,
USYC,
PAXG,
BNB,
USDE
type
enum<string>
required

Address book type

Available options:
transfer,
withdrawal,
deposit_source
address
string
required

Address in currency format, it must be in address book

beneficiary_vasp_name
string
required

Name of beneficiary VASP

Example:

"Money's Gone"

beneficiary_vasp_did
string
required

DID of beneficiary VASP

Example:

"did:example:123456789abcdefghi"

beneficiary_vasp_website
string

Website of the beneficiary VASP

beneficiary_first_name
string

First name of beneficiary (if beneficiary is a person) First name of the beneficiary (if beneficiary is a person)

Example:

"John"

beneficiary_last_name
string

First name of beneficiary (if beneficiary is a person) Last name of the beneficiary (if beneficiary is a person)

Example:

"Doe"

beneficiary_company_name
string

Beneficiary company name (if beneficiary is a company) Company name of the beneficiary (if beneficiary is a company)

Example:

"Company Name"

beneficiary_address
string
required

Geographical address of the beneficiary

Example:

"NL, Amsterdam, Street, 1"

agreed
boolean
required

Indicates that the user agreed to shared provided information with 3rd parties

Example:

true

personal
boolean
required

The user confirms that he provided address belongs to him and he has access to it via an un-hosted wallet software

Example:

true

label
string
required

Label of the address book entry

Example:

"Main address"

Response

200 - application/json

Success response

jsonrpc
enum<string>
required

The JSON-RPC version (2.0)

Available options:
2.0
result
string
required

ok

Example:

"ok"

id
integer

The id that was sent in the request